Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/Vanilla.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/Vanilla.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/Vanilla.looknfeel	(revision 11792)
@@ -1,91 +1,120 @@
-<?xml version="1.0" ?>
-<Falagard>
+<?xml version='1.0' encoding='utf-8'?>
+<Falagard version="7">
     <WidgetLook name="Vanilla/Shared">
         <ImagerySection name="Frame">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="Vanilla-Images" image="FrameTopLeft" />
-                <Image type="TopRightCorner" imageset="Vanilla-Images" image="FrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="Vanilla-Images" image="FrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="Vanilla-Images" image="FrameBottomRight" />
-                <Image type="LeftEdge" imageset="Vanilla-Images" image="FrameLeft" />
-                <Image type="TopEdge" imageset="Vanilla-Images" image="FrameTop" />
-                <Image type="RightEdge" imageset="Vanilla-Images" image="FrameRight" />
-                <Image type="BottomEdge" imageset="Vanilla-Images" image="FrameBottom" />
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="Vanilla-Images/FrameTopLeft" />
+                <Image component="TopRightCorner" name="Vanilla-Images/FrameTopRight" />
+                <Image component="BottomLeftCorner" name="Vanilla-Images/FrameBottomLeft" />
+                <Image component="BottomRightCorner" name="Vanilla-Images/FrameBottomRight" />
+                <Image component="LeftEdge" name="Vanilla-Images/FrameLeft" />
+                <Image component="TopEdge" name="Vanilla-Images/FrameTop" />
+                <Image component="RightEdge" name="Vanilla-Images/FrameRight" />
+                <Image component="BottomEdge" name="Vanilla-Images/FrameBottom" />
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
             </FrameComponent>
         </ImagerySection>
-
         <ImagerySection name="FrameOnly">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="Vanilla-Images" image="FrameTopLeft" />
-                <Image type="TopRightCorner" imageset="Vanilla-Images" image="FrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="Vanilla-Images" image="FrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="Vanilla-Images" image="FrameBottomRight" />
-                <Image type="LeftEdge" imageset="Vanilla-Images" image="FrameLeft" />
-                <Image type="TopEdge" imageset="Vanilla-Images" image="FrameTop" />
-                <Image type="RightEdge" imageset="Vanilla-Images" image="FrameRight" />
-                <Image type="BottomEdge" imageset="Vanilla-Images" image="FrameBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="Vanilla-Images/FrameTopLeft" />
+                <Image component="TopRightCorner" name="Vanilla-Images/FrameTopRight" />
+                <Image component="BottomLeftCorner" name="Vanilla-Images/FrameBottomLeft" />
+                <Image component="BottomRightCorner" name="Vanilla-Images/FrameBottomRight" />
+                <Image component="LeftEdge" name="Vanilla-Images/FrameLeft" />
+                <Image component="TopEdge" name="Vanilla-Images/FrameTop" />
+                <Image component="RightEdge" name="Vanilla-Images/FrameRight" />
+                <Image component="BottomEdge" name="Vanilla-Images/FrameBottom" />
             </FrameComponent>
         </ImagerySection>
-
         <ImagerySection name="BackgroundOnly">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge"><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                    </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="Vanilla-Images" image="FrameRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="Vanilla-Images" image="FrameBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="Vanilla-Images/FrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="Vanilla-Images/FrameBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
             </FrameComponent>
         </ImagerySection>
-
-		<ImagerySection name="BackgroundOnlyFull">
+        <ImagerySection name="BackgroundOnlyFull">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
             </FrameComponent>
         </ImagerySection>
-
     </WidgetLook>
-
     <WidgetLook name="Vanilla/Titlebar">
-        <PropertyDefinition name="CaptionColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="CaptionColour" redrawOnWrite="true" />
         <ImagerySection name="caption">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
                 </Area>
                 <ColourProperty name="CaptionColour" />
@@ -110,19 +139,25 @@
         </StateImagery>
     </WidgetLook>
-
-
     <WidgetLook name="Vanilla/Button">
-		<PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
         <Property name="WantsMultiClickEvents" value="False" />
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" offset="-4" type="BottomEdge" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim offset="-4" scale="1" type="BottomEdge" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
@@ -133,5 +168,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="Frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
@@ -143,5 +178,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="Frame">
-                    <Colours topLeft="FF9F9F9F" topRight="FF9F9F9F" bottomLeft="FF9F9F9F" bottomRight="FF9F9F9F" />
+                    <Colours bottomLeft="FF9F9F9F" bottomRight="FF9F9F9F" topLeft="FF9F9F9F" topRight="FF9F9F9F" />
                 </Section>
                 <Section section="label">
@@ -153,5 +188,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="Frame">
-                    <Colours topLeft="FF6F6F6F" topRight="FF6F6F6F" bottomLeft="FF6F6F6F" bottomRight="FF6F6F6F" />
+                    <Colours bottomLeft="FF6F6F6F" bottomRight="FF6F6F6F" topLeft="FF6F6F6F" topRight="FF6F6F6F" />
                 </Section>
                 <Section section="label">
@@ -163,5 +198,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="Frame">
-                    <Colours topLeft="FF3F3F3F" topRight="FF3F3F3F" bottomLeft="FF3F3F3F" bottomRight="FF3F3F3F" />
+                    <Colours bottomLeft="FF3F3F3F" bottomRight="FF3F3F3F" topLeft="FF3F3F3F" topRight="FF3F3F3F" />
                 </Section>
                 <Section section="label">
@@ -171,61 +206,108 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/FrameWindow">
-        <PropertyLinkDefinition name="CaptionColour" widget="__auto_titlebar__" targetProperty="CaptionColour" initialValue="FFFFFFFF" />
-        <PropertyLinkDefinition name="TitlebarFont" widget="__auto_titlebar__" targetProperty="Font" />
-        <Property name="NSSizingCursorImage" value="set:Vanilla-Images image:MouseArrow" />
-        <Property name="EWSizingCursorImage" value="set:Vanilla-Images image:MouseArrow" />
-        <Property name="NWSESizingCursorImage" value="set:Vanilla-Images image:MouseArrow" />
-        <Property name="NESWSizingCursorImage" value="set:Vanilla-Images image:MouseArrow" />
+        <PropertyLinkDefinition initialValue="FFFFFFFF" name="CaptionColour" targetProperty="CaptionColour" widget="__auto_titlebar__" />
+        <PropertyLinkDefinition name="TitlebarFont" targetProperty="Font" widget="__auto_titlebar__" />
+        <Property name="NSSizingCursorImage" value="Vanilla-Images/MouseArrow" />
+        <Property name="EWSizingCursorImage" value="Vanilla-Images/MouseArrow" />
+        <Property name="NWSESizingCursorImage" value="Vanilla-Images/MouseArrow" />
+        <Property name="NESWSizingCursorImage" value="Vanilla-Images/MouseArrow" />
         <Property name="RollUpEnabled" value="False" />
-        <Property name="UnifiedMinSize" value="{{0.1,0},{0.1,0}}" />
+        <Property name="MinSize" value="{{0.1,0},{0.1,0}}" />
         <NamedArea name="ClientWithTitleWithFrame">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="7" /></Dim>
-                    <Dim type="TopEdge"><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" offset="-7" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge"><UnifiedDim scale="1" offset="-7" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="7" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-7" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-7" scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ClientWithTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ClientNoTitleWithFrame">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="7" /></Dim>
-                <Dim type="TopEdge"><AbsoluteDim value="7" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" offset="-7" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge"><UnifiedDim scale="1" offset="-7" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="7" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="7" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-7" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-7" scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ClientNoTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-            </Area>
-        </NamedArea>
-        <Child type="Vanilla/Titlebar" nameSuffix="__auto_titlebar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><FontDim type="LineSpacing" padding="14" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+            </Area>
+        </NamedArea>
+        <Child nameSuffix="__auto_titlebar__" type="Vanilla/Titlebar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <FontDim padding="14" type="LineSpacing" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="False" />
         </Child>
-        <Child type="Vanilla/Button" nameSuffix="__auto_closebutton__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="-7" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="7" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="7" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="7" /></Dim>
+        <Child nameSuffix="__auto_closebutton__" type="Vanilla/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="-7" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="7" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="7" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="7" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -235,19 +317,27 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="Vanilla-Images" image="FrameTopLeft" />
-                <Image type="TopRightCorner" imageset="Vanilla-Images" image="FrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="Vanilla-Images" image="FrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="Vanilla-Images" image="FrameBottomRight" />
-                <Image type="LeftEdge" imageset="Vanilla-Images" image="FrameLeft" />
-                <Image type="TopEdge" imageset="Vanilla-Images" image="FrameTop" />
-                <Image type="RightEdge" imageset="Vanilla-Images" image="FrameRight" />
-                <Image type="BottomEdge" imageset="Vanilla-Images" image="FrameBottom" />
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
-                <Colours topLeft="FF333333" topRight="FF333333" bottomLeft="FF333333" bottomRight="FF333333" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="Vanilla-Images/FrameTopLeft" />
+                <Image component="TopRightCorner" name="Vanilla-Images/FrameTopRight" />
+                <Image component="BottomLeftCorner" name="Vanilla-Images/FrameBottomLeft" />
+                <Image component="BottomRightCorner" name="Vanilla-Images/FrameBottomRight" />
+                <Image component="LeftEdge" name="Vanilla-Images/FrameLeft" />
+                <Image component="TopEdge" name="Vanilla-Images/FrameTop" />
+                <Image component="RightEdge" name="Vanilla-Images/FrameRight" />
+                <Image component="BottomEdge" name="Vanilla-Images/FrameBottom" />
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
+                <Colours bottomLeft="FF333333" bottomRight="FF333333" topLeft="FF333333" topRight="FF333333" />
             </FrameComponent>
         </ImagerySection>
@@ -255,19 +345,27 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="Vanilla-Images" image="FrameTopLeft" />
-                <Image type="TopRightCorner" imageset="Vanilla-Images" image="FrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="Vanilla-Images" image="FrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="Vanilla-Images" image="FrameBottomRight" />
-                <Image type="LeftEdge" imageset="Vanilla-Images" image="FrameLeft" />
-                <Image type="TopEdge" imageset="Vanilla-Images" image="FrameTop" />
-                <Image type="RightEdge" imageset="Vanilla-Images" image="FrameRight" />
-                <Image type="BottomEdge" imageset="Vanilla-Images" image="FrameBottom" />
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
-                <Colours topLeft="FF333333" topRight="FF333333" bottomLeft="FF333333" bottomRight="FF333333" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="Vanilla-Images/FrameTopLeft" />
+                <Image component="TopRightCorner" name="Vanilla-Images/FrameTopRight" />
+                <Image component="BottomLeftCorner" name="Vanilla-Images/FrameBottomLeft" />
+                <Image component="BottomRightCorner" name="Vanilla-Images/FrameBottomRight" />
+                <Image component="LeftEdge" name="Vanilla-Images/FrameLeft" />
+                <Image component="TopEdge" name="Vanilla-Images/FrameTop" />
+                <Image component="RightEdge" name="Vanilla-Images/FrameRight" />
+                <Image component="BottomEdge" name="Vanilla-Images/FrameBottom" />
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
+                <Colours bottomLeft="FF333333" bottomRight="FF333333" topLeft="FF333333" topRight="FF333333" />
             </FrameComponent>
         </ImagerySection>
@@ -275,19 +373,27 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="Vanilla-Images" image="FrameTopLeft" />
-                <Image type="TopRightCorner" imageset="Vanilla-Images" image="FrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="Vanilla-Images" image="FrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="Vanilla-Images" image="FrameBottomRight" />
-                <Image type="LeftEdge" imageset="Vanilla-Images" image="FrameLeft" />
-                <Image type="TopEdge" imageset="Vanilla-Images" image="FrameTop" />
-                <Image type="RightEdge" imageset="Vanilla-Images" image="FrameRight" />
-                <Image type="BottomEdge" imageset="Vanilla-Images" image="FrameBottom" />
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
-                <Colours topLeft="FF333333" topRight="FF333333" bottomLeft="FF333333" bottomRight="FF333333" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="Vanilla-Images/FrameTopLeft" />
+                <Image component="TopRightCorner" name="Vanilla-Images/FrameTopRight" />
+                <Image component="BottomLeftCorner" name="Vanilla-Images/FrameBottomLeft" />
+                <Image component="BottomRightCorner" name="Vanilla-Images/FrameBottomRight" />
+                <Image component="LeftEdge" name="Vanilla-Images/FrameLeft" />
+                <Image component="TopEdge" name="Vanilla-Images/FrameTop" />
+                <Image component="RightEdge" name="Vanilla-Images/FrameRight" />
+                <Image component="BottomEdge" name="Vanilla-Images/FrameBottom" />
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
+                <Colours bottomLeft="FF333333" bottomRight="FF333333" topLeft="FF333333" topRight="FF333333" />
             </FrameComponent>
         </ImagerySection>
@@ -295,19 +401,27 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="Vanilla-Images" image="FrameTopLeft" />
-                <Image type="TopRightCorner" imageset="Vanilla-Images" image="FrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="Vanilla-Images" image="FrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="Vanilla-Images" image="FrameBottomRight" />
-                <Image type="LeftEdge" imageset="Vanilla-Images" image="FrameLeft" />
-                <Image type="TopEdge" imageset="Vanilla-Images" image="FrameTop" />
-                <Image type="RightEdge" imageset="Vanilla-Images" image="FrameRight" />
-                <Image type="BottomEdge" imageset="Vanilla-Images" image="FrameBottom" />
-                <Image type="Background" imageset="Vanilla-Images" image="GenericBrush" />
-                <Colours topLeft="FF333333" topRight="FF333333" bottomLeft="FF333333" bottomRight="FF333333" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="Vanilla-Images/FrameTopLeft" />
+                <Image component="TopRightCorner" name="Vanilla-Images/FrameTopRight" />
+                <Image component="BottomLeftCorner" name="Vanilla-Images/FrameBottomLeft" />
+                <Image component="BottomRightCorner" name="Vanilla-Images/FrameBottomRight" />
+                <Image component="LeftEdge" name="Vanilla-Images/FrameLeft" />
+                <Image component="TopEdge" name="Vanilla-Images/FrameTop" />
+                <Image component="RightEdge" name="Vanilla-Images/FrameRight" />
+                <Image component="BottomEdge" name="Vanilla-Images/FrameBottom" />
+                <Image component="Background" name="Vanilla-Images/GenericBrush" />
+                <Colours bottomLeft="FF333333" bottomRight="FF333333" topLeft="FF333333" topRight="FF333333" />
             </FrameComponent>
         </ImagerySection>
@@ -373,17 +487,24 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/Editbox">
-        <PropertyDefinition name="ReadOnlyBGColour" initialValue="FFDFDFDF" redrawOnWrite="true" />
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="ActiveSelectionColour" initialValue="FF607FFF" redrawOnWrite="true" />
-        <PropertyDefinition name="InactiveSelectionColour" initialValue="FF808080" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFDFDFDF" name="ReadOnlyBGColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF607FFF" name="ActiveSelectionColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF808080" name="InactiveSelectionColour" redrawOnWrite="true" />
         <NamedArea name="TextArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="7" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="3" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" offset="-7" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" offset="-7" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="7" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="3" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-7" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-7" scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -391,24 +512,40 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/GenericBrush" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
             </ImageryComponent>
         </ImagerySection>
-        <ImagerySection name="Carat">
+        <ImagerySection name="Caret">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><AbsoluteDim value="2" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="GenericBrush" />
-                <Colours topLeft="FF2222FF" topRight="FF2222FF" bottomLeft="FF2222FF" bottomRight="FF2222FF" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <AbsoluteDim value="2" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/GenericBrush" />
+                <Colours bottomLeft="FF2222FF" bottomRight="FF2222FF" topLeft="FF2222FF" topRight="FF2222FF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -422,5 +559,5 @@
         <StateImagery name="ReadOnly">
             <Layer>
-                <Section look="Vanilla/Shared" section="Frame" >
+                <Section look="Vanilla/Shared" section="Frame">
                     <ColourProperty name="ReadOnlyBGColour" />
                 </Section>
@@ -429,5 +566,5 @@
         <StateImagery name="Disabled">
             <Layer>
-                <Section look="Vanilla/Shared" section="Frame" >
+                <Section look="Vanilla/Shared" section="Frame">
                     <ColourProperty name="ReadOnlyBGColour" />
                 </Section>
@@ -449,5 +586,4 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/VerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
@@ -455,11 +591,19 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="ScrollbarThumb" />
-                <Colours topLeft="FF494949" topRight="FF494949" bottomLeft="FF494949" bottomRight="FF494949" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/ScrollbarThumb" />
+                <Colours bottomLeft="FF494949" bottomRight="FF494949" topLeft="FF494949" topRight="FF494949" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -482,5 +626,4 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/HorizontalScrollbarThumb">
         <Property name="HorzFree" value="True" />
@@ -488,11 +631,19 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="ScrollbarThumb" />
-                <Colours topLeft="FF494949" topRight="FF494949" bottomLeft="FF494949" bottomRight="FF494949" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/ScrollbarThumb" />
+                <Colours bottomLeft="FF494949" bottomRight="FF494949" topLeft="FF494949" topRight="FF494949" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -515,53 +666,81 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/HorizontalScrollbar">
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge"><WidgetDim widget="__auto_decbtn__" dimension="RightEdge" /></Dim>
-                <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge">
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_incbtn__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-            </Area>
-        </NamedArea>
-        <Child  type="Vanilla/Button" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <WidgetDim dimension="RightEdge" widget="__auto_decbtn__" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_incbtn__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1" type="BottomEdge" />
+                </Dim>
+            </Area>
+        </NamedArea>
+        <Child nameSuffix="__auto_incbtn__" type="Vanilla/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <VertAlignment type="CentreAligned" />
             <HorzAlignment type="RightAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:Vanilla-Images image:ScrollRightArrow" />
-            <Property name="HoverImage" value="set:Vanilla-Images image:ScrollRightArrow" />
-            <Property name="PushedImage" value="set:Vanilla-Images image:ScrollRightArrow" />
+            <Property name="NormalImage" value="Vanilla-Images/ScrollRightArrow" />
+            <Property name="HoverImage" value="Vanilla-Images/ScrollRightArrow" />
+            <Property name="PushedImage" value="Vanilla-Images/ScrollRightArrow" />
         </Child>
-        <Child  type="Vanilla/Button" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_decbtn__" type="Vanilla/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <VertAlignment type="CentreAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:Vanilla-Images image:ScrollLeftArrow" />
-            <Property name="HoverImage" value="set:Vanilla-Images image:ScrollLeftArrow" />
-            <Property name="PushedImage" value="set:Vanilla-Images image:ScrollLeftArrow" />
+            <Property name="NormalImage" value="Vanilla-Images/ScrollLeftArrow" />
+            <Property name="HoverImage" value="Vanilla-Images/ScrollLeftArrow" />
+            <Property name="PushedImage" value="Vanilla-Images/ScrollLeftArrow" />
         </Child>
-        <Child  type="Vanilla/HorizontalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Height" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="Vanilla/HorizontalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
@@ -569,16 +748,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge"><WidgetDim widget="__auto_decbtn__" dimension="RightEdge" /></Dim>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
+                    <Dim type="LeftEdge">
+                        <WidgetDim dimension="RightEdge" widget="__auto_decbtn__" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <WidgetDim widget="__auto_incbtn__" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="HorzScrollContainer" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <WidgetDim dimension="Width" widget="__auto_incbtn__" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/HorzScrollContainer" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -596,54 +780,82 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/VerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_decbtn__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_incbtn__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-            </Area>
-        </NamedArea>
-        <Child  type="Vanilla/Button" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Width" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_decbtn__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_incbtn__" />
+                    </OperatorDim>
+                </Dim>
+            </Area>
+        </NamedArea>
+        <Child nameSuffix="__auto_incbtn__" type="Vanilla/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
             <HorzAlignment type="CentreAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:Vanilla-Images image:ScrollDownArrow" />
-            <Property name="HoverImage" value="set:Vanilla-Images image:ScrollDownArrow" />
-            <Property name="PushedImage" value="set:Vanilla-Images image:ScrollDownArrow" />
+            <Property name="NormalImage" value="Vanilla-Images/ScrollDownArrow" />
+            <Property name="HoverImage" value="Vanilla-Images/ScrollDownArrow" />
+            <Property name="PushedImage" value="Vanilla-Images/ScrollDownArrow" />
         </Child>
-        <Child  type="Vanilla/Button" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Width" /></Dim>
+        <Child nameSuffix="__auto_decbtn__" type="Vanilla/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
             </Area>
             <HorzAlignment type="CentreAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:Vanilla-Images image:ScrollUpArrow" />
-            <Property name="HoverImage" value="set:Vanilla-Images image:ScrollUpArrow" />
-            <Property name="PushedImage" value="set:Vanilla-Images image:ScrollUpArrow" />
+            <Property name="NormalImage" value="Vanilla-Images/ScrollUpArrow" />
+            <Property name="HoverImage" value="Vanilla-Images/ScrollUpArrow" />
+            <Property name="PushedImage" value="Vanilla-Images/ScrollUpArrow" />
         </Child>
-        <Child  type="Vanilla/VerticalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Width" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="Vanilla/VerticalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
             </Area>
         </Child>
@@ -651,16 +863,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_decbtn__" dimension="BottomEdge" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1.0" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <WidgetDim widget="__auto_incbtn__" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="VertScrollContainer" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_decbtn__" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="BottomEdge" />
+                            <WidgetDim dimension="Height" widget="__auto_incbtn__" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/VertScrollContainer" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -678,9 +895,8 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/StaticImage">
-		<PropertyDefinition name="ImageColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-		<PropertyDefinition name="VertFormatting" initialValue="Stretched" redrawOnWrite="true" />
-        <PropertyDefinition name="HorzFormatting" initialValue="Stretched" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="ImageColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="VertFormatting" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="HorzFormatting" redrawOnWrite="true" />
         <Property name="BackgroundEnabled" value="True" />
         <Property name="FrameEnabled" value="True" />
@@ -688,20 +904,22 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-					<Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-					<Dim type="RightEdge" >
-						<UnifiedDim scale="1" type="RightEdge">
-							<DimOperator op="Subtract">
-								<ImageDim imageset="Vanilla-Images" image="FrameRight" dimension="Width" />
-							</DimOperator>
-						</UnifiedDim>
-					</Dim>
-					<Dim type="BottomEdge" >
-						<UnifiedDim scale="1" type="BottomEdge">
-							<DimOperator op="Subtract">
-								<ImageDim imageset="Vanilla-Images" image="FrameBottom" dimension="Height" />
-							</DimOperator>
-						</UnifiedDim>
-					</Dim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="Vanilla-Images/FrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="Vanilla-Images/FrameBottom" />
+                        </OperatorDim>
+                    </Dim>
                 </Area>
                 <ImageProperty name="Image" />
@@ -714,8 +932,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="Image" />
@@ -730,5 +956,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="FrameOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -737,5 +963,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="FrameOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -744,5 +970,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -751,5 +977,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -758,5 +984,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnlyFull">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -765,5 +991,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnlyFull">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -780,5 +1006,4 @@
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/StaticText">
         <Property name="BackgroundEnabled" value="True" />
@@ -786,19 +1011,21 @@
         <NamedArea name="WithFrameTextRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="Vanilla-Images/FrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="Vanilla-Images/FrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -806,15 +1033,18 @@
         <NamedArea name="WithFrameTextRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-20" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="Vanilla-Images/FrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-20" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -822,15 +1052,18 @@
         <NamedArea name="WithFrameTextRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-20" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-20" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="Vanilla-Images/FrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -838,11 +1071,15 @@
         <NamedArea name="WithFrameTextRenderAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-20" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-20" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-20" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-20" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -850,49 +1087,97 @@
         <NamedArea name="NoFrameTextRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="NoFrameTextRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" offset="-20" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-20" scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="NoFrameTextRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1" offset="-20" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-20" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="NoFrameTextRenderAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1" offset="-20" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" offset="-20" type="BottomEdge" /></Dim>
-            </Area>
-        </NamedArea>
-        <Child  type="Vanilla/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-20" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="20" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-20" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-20" scale="1" type="BottomEdge" />
+                </Dim>
+            </Area>
+        </NamedArea>
+        <Child nameSuffix="__auto_hscrollbar__" type="Vanilla/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-20" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="20" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="Vanilla/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="20" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-20" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="Vanilla/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="20" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-20" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -903,5 +1188,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="FrameOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -910,5 +1195,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="FrameOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -917,5 +1202,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -924,5 +1209,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnly">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -931,5 +1216,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnlyFull">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -938,47 +1223,64 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="BackgroundOnlyFull">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/Listbox">
         <Property name="ForceVertScrollbar" value="True" />
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-            </Area>
-        </NamedArea>
-        <Child  type="Vanilla/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="-5" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-25" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="20" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="Vanilla-Images/FrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="Vanilla-Images/FrameBottom" />
+                    </OperatorDim>
+                </Dim>
+            </Area>
+        </NamedArea>
+        <Child nameSuffix="__auto_hscrollbar__" type="Vanilla/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="-5" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-25" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="20" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="Vanilla/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="-5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="20" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-10" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="Vanilla/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="-5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="20" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-10" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -987,5 +1289,5 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="Frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -994,64 +1296,89 @@
             <Layer>
                 <Section look="Vanilla/Shared" section="Frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
     <WidgetLook name="Vanilla/MultiLineEditbox">
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="ActiveSelectionColour" initialValue="FF607FFF" redrawOnWrite="true" />
-        <PropertyDefinition name="InactiveSelectionColour" initialValue="FF808080" redrawOnWrite="true" />
-        <Property name="SelectionBrushImage" value="set:Vanilla-Images image:GenericBrush" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF607FFF" name="ActiveSelectionColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF808080" name="InactiveSelectionColour" redrawOnWrite="true" />
+        <Property name="SelectionBrushImage" value="Vanilla-Images/GenericBrush" />
         <NamedArea name="TextArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="Vanilla-Images" image="FrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="Vanilla-Images" image="FrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="Vanilla-Images" image="FrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-            </Area>
-        </NamedArea>
-        <Child  type="Vanilla/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="-5" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-25" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="20" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="Vanilla-Images/FrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="Vanilla-Images/FrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="Vanilla-Images/FrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="Vanilla-Images/FrameBottom" />
+                    </OperatorDim>
+                </Dim>
+            </Area>
+        </NamedArea>
+        <Child nameSuffix="__auto_hscrollbar__" type="Vanilla/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="-5" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-25" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="20" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="Vanilla/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="-5" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="5" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="20" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-10" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="Vanilla/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="-5" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="5" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="20" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-10" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
         </Child>
-        <ImagerySection name="Carat">
+        <ImagerySection name="Caret">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><AbsoluteDim value="2" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="Vanilla-Images" image="GenericBrush" />
-                <Colours topLeft="FF2222FF" topRight="FF2222FF" bottomLeft="FF2222FF" bottomRight="FF2222FF" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <AbsoluteDim value="2" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="Vanilla-Images/GenericBrush" />
+                <Colours bottomLeft="FF2222FF" bottomRight="FF2222FF" topLeft="FF2222FF" topRight="FF2222FF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1074,4 +1401,3 @@
         </StateImagery>
     </WidgetLook>
-
 </Falagard>
